aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2020-05-14 20:36:19 -0700
committerMatt Turner <mattst88@gentoo.org>2020-05-16 15:58:59 -0700
commitcdd405f983ba094180493e24f1c5c4f2974e6d13 (patch)
treef04c56b39e6ec0c90559bbc9be639a9a2dbf0f48
parentcreate-iso.sh: actually fix du ESP size calculation on x86/amd64 (diff)
downloadcatalyst-cdd405f983ba094180493e24f1c5c4f2974e6d13.tar.gz
catalyst-cdd405f983ba094180493e24f1c5c4f2974e6d13.tar.bz2
catalyst-cdd405f983ba094180493e24f1c5c4f2974e6d13.zip
targets: Test for locale-gen
locale-gen is only provided by glibc and not by others. Signed-off-by: Matt Turner <mattst88@gentoo.org> (cherry picked from commit bfb2731f7200e9a1f19b65d928586c209b1bf4a2)
-rwxr-xr-xtargets/stage1/stage1-chroot.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/targets/stage1/stage1-chroot.sh b/targets/stage1/stage1-chroot.sh
index 1668d93e..dd4bdde9 100755
--- a/targets/stage1/stage1-chroot.sh
+++ b/targets/stage1/stage1-chroot.sh
@@ -82,7 +82,9 @@ run_merge "--oneshot ${clst_buildpkgs}"
# locale-gen does not support the ROOT variable, and as such glibc simply does
# not run locale-gen when ROOT is set. Since we've set LANG, we need to run
# locale-gen explicitly.
-locale-gen --destdir "${clst_root_path}"/ || die "locale-gen failed"
+if [ -x "$(command -v locale-gen)" ]; then
+ locale-gen --destdir "${clst_root_path}"/ || die "locale-gen failed"
+fi
# Why are we removing these? Don't we need them for final make.conf?
for useexpand in ${clst_HOSTUSEEXPAND}; do